Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 301437 - Proposed changes sci-libs/qrupdate for Prefix
Summary: Proposed changes sci-libs/qrupdate for Prefix
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All All
: High normal (vote)
Assignee: Gentoo Science Related Packages
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-01-18 21:13 UTC by Fabian Groffen
Modified: 2010-01-21 19:15 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Groffen gentoo-dev 2010-01-18 21:13:22 UTC
Please have a look at the diff below.  The two patches can be found on overlays here:
http://overlays.gentoo.org/proj/alt/browser/trunk/prefix-overlay/sci-libs/qrupdate/files

If you are ok, I will commit as 1.1.0-r1 due to the rather significant changes in the way the thing is installed.


--- qrupdate-1.1.0.ebuild
+++ qrupdate-1.1.0.ebuild
@@ -4,7 +4,7 @@
 
 EAPI="2"
 
-inherit eutils fortran
+inherit eutils fortran multilib
 
 DESCRIPTION="A library for fast updating of QR and Cholesky decompositions"
 HOMEPAGE="http://sourceforge.net/projects/qrupdate"
@@ -12,7 +12,7 @@
 
 LICENSE="GPL-3"
 SLOT="0"
-KEYWORDS="~alpha ~amd64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+KEYWORDS="~alpha ~amd64 ~hppa ~ppc ~ppc64 ~sparc ~x86 ~ppc-macos"
 IUSE=""
 
 RDEPEND="virtual/blas
@@ -24,6 +24,9 @@
 
 src_prepare() {
        epatch "${FILESDIR}"/${PN}-1.0.1-makefile.patch
+       # I mailed both patches below to the author -- grobian 2010-01-18
+       epatch "${FILESDIR}"/${PN}-1.1.0-darwin-dylib.patch
+       epatch "${FILESDIR}"/${PN}-1.1.0-destdir.patch
 
        local BLAS_LIBS="$(pkg-config --libs blas)"
        local LAPACK_LIBS="$(pkg-config --libs lapack)"
@@ -33,6 +36,7 @@
                -e "s:FFLAGS=.*:FFLAGS=${FFLAGS}:" \
                -e "s:BLAS=.*:BLAS=${BLAS_LIBS}:" \
                -e "s:LAPACK=.*:LAPACK=${LAPACK_LIBS}:" \
+               -e "/^LIBDIR=/a\PREFIX=${EPREFIX}/usr" \
                || die "Failed to set up Makeconf"
 }
 
@@ -41,8 +45,7 @@
 }
 
 src_install() {
-       dolib.so libqrupdate.so \
-               || die "Failed to install libqrupdate.so"
+       emake DESTDIR="${D}" install-shlib || die "emake install failed"
 
        dodoc README ChangeLog || die "dodoc failed"
 }
Comment 1 Fabian Groffen gentoo-dev 2010-01-19 11:23:57 UTC
the darwin patch got applied:
http://qrupdate.svn.sourceforge.net/viewvc/qrupdate?view=rev&revision=21

the destdir patch hopefully also will once the author agrees that it is useful to have
Comment 2 Fabian Groffen gentoo-dev 2010-01-19 11:48:50 UTC
ok, destdir patch got applied as well:

http://qrupdate.svn.sourceforge.net/viewvc/qrupdate?view=rev&revision=22
Comment 3 Markus Dittrich (RETIRED) gentoo-dev 2010-01-21 11:19:40 UTC
(In reply to comment #2)
> ok, destdir patch got applied as well:
> 
> http://qrupdate.svn.sourceforge.net/viewvc/qrupdate?view=rev&revision=22
> 

Hi Fabian.

Feel free to bump! Otherwise I'll pick up your changes to the ebuild
once I bump the package since upstream seems to have incorporated
your patches.

cheers,
Markus
Comment 4 Fabian Groffen gentoo-dev 2010-01-21 19:15:10 UTC
thanks, committed as -r1